MLOCARNA(1)

NAME
MLocARNA - multiple alignment of RNA

SYNOPSIS
mlocarna [options] <fasta file>

DESCRIPTION
MLocARNA computes a multiple sequence-structure alignment of RNA sequences.

OPTIONS

  Controlling Output

--tgtdir
    Target directory. All output files are written to this directory. Per default the target directory is generated from the input filename by replacing suffix fa by (or appending) out.

-v, --verbose
    Turn on verbose ouput.

--moreverbose
    Be even more verbose

-q, --quiet
    Be quiet.

--keep-sequence-order
    Preserve sequence order of the input in the final alignment. Affects output to stdout and results/result.aln.

  Controlling pairwise alignments

--noLP / --LP
    Disallow/Allow lonely pairs (default: Disallow).

--free-endgaps
    Allow free endgaps. (Corresponds to pairwise locarna option --free-endgaps "++++".)

--free-endgaps-3
    Allow free endgaps 3'.

--free-endgaps-5
    Allow free endgaps 5'.

Other locarna options
    Many of the options of locarna, the program for pairwise alignment, will work as well. This allows controlling scoring, locality, and speed/acccuracy trade off (heuristics). Please see "locarna -h" or the manpage of locarna.

--pw-aligner
    Utilize given binary for the pairwise alignment (overrides def=locarna).

--pw-aligner-p
    Utilize given binary for the probabilistic pairwise alignment (overrides def=locarna_p).

--pw-aligner-options
    Additional option string for the pairwise alignment (def="").

--pw-aligner-p-options
    Additional option string for the probabilistic pairwise alignment (def="").

  Controlling guide tree construction

--treefile
    File with guide tree in NEWICK format. The given tree is used as guide tree for the progressive alignment. This saves the calculation of pairwise all-vs-all similarities and construction of the guide tree.

--similarity-matrix
    File with similarity matrix. The similarities in the matrix are used to construct the guide tree for the progressive alignment. This saves the calculation of pairwise all-vs-all similarities.

--graphkernel
    Use the graphkernel for constructing the guide tree.

--svmsgdnspdk[=<program]>
    Specify the svmsgdnspdk program (potentially including path). Default: use "svmsgdnspdk" in path.

--fasta2shrep=<program>
    Program "fasta2shrep" for generating graphs from the input sequences for use with the graph kernel guide tree generation (potentially including path). Default: use "fasta2shrep_gspan.pl" in path.

--fasta2shrep-options=<args>
    Command line arguments for fasta2shrep. Default: "-wins 200 -shift 50 -stack -t 3 -M 3".

-P, --tree-min-prob=<f>
    Minimal prob for constructing guide tree. This probability can be set separately for the all-2-all comparison for constructing the guide tree and the progressive/iterative alignment steps.

  Controlling multiple alignment

--alifold-consensus-dp
    Employs RNAalifold -p for generating consensus dotplot after each progressive alignment step. This replaces the default consensus dotplot computation, which averages over the input dot plots. This method should be used with care in combination with structural constraints, since it ignores them for all but the pairwise alignments of single sequences. Furthermore, note that it does not support --stacking or --new-stacking.

--local-progressive
    Align only the subalignment of locally aligned subsequences in subsequent steps of the progressive multiple alignment. Note: this is only effective if local alignment is turned on. (Default for sequence local alignment; turn off by --global-progressive)

--global-progressive
    Use alignments including "locality gaps" in subsequent steps of the progressive multiple alignment. Note: this is only effective if local alignment is turned on. (Opposite of --local-progressive)

--max-diff-aln=<file>
    Restrict maximal difference to the alignment in <file> in clustalw format (difference given by --max-diff). Use this option for constrained re-aligning.

--sparse
    Apply the sparsified alignment algorithm SPARSE (instead of the default pairwise aligner locarna).

--probabilistic
    Score alignments using match probabilities that are computed by a partition function approach. This makes possible to consistency-transform the probabilities (option --consistency-transform) and to compute reliabilities. Reliabilities can also be used for iterating the alignment with reliably aligned base pairs as structural constraints (option --it-reliable-structure).

--consistency-transformation
    Apply probabilistic consistency transformation (only possible in probabilistic mode).

--iterate
    Refine iteratively after progressive alignment. Currently, iterative refinement optimizes the SCI or RELIABILITY (not the locarna score)! Iterative refinement realigns all binary splits along the guide tree.

--iterations=<num>
    Refine iteratively for given number of iterations (or stop at convergence).

--extlib
    Use library extension for base pair probabilities (experimental/not functional).

--it-reliable-structure=<num>
    Iterate alignment <num> times with reliable structure. This works only in probabilistic mode, when reliabilities can be computed.

  Options for probabilistic mode

--pf-only-basematch
    Use only base match probabilities (no base pair match probabilities).

--pf-scale=<scale>
    Scale of partition function; use for avoiding overflow in larger instances.

--fast-mea
    Compute base match probabilities using Gotoh PF-algorithm.

--mea-alpha
    Weight of unpaired probabilities in fast mea mode.

--mea-beta
    Weight of base pair match contribution in probabilistic mode.

--mea-gamma
    Reserved parameter for fast-mea mode.

--mea-gapcost
    Turn on gap penalties in probabilistic/mea mode (default: off).

--no-write-bm-probs
    Don't write base match probabilities to files in target dir.

--no-write-am-probs
    Don't write arc match probabilities to files in target dir.

  Special modes of operation

--dp-cache=<dir>
    Use directory <dir> as cache for dp files.

--only-dps
    Compute only the missing dp files, don't align.

--evaluate=<file>
    Evaluate the given multiple alignment (clustalw aln format, or use --eval-fasta)

--eval-fasta
    Assume that alignment for evaluation is in fasta format

  Constraints

--ignore-constraints
    Ignore constraints even if given.

  Rna folding (RNAfold/RNAplfold)

--plfold-span=span
    Use RNAplfold with span

--plfold-winsize=ws
    Use RNAplfold with window of size ws (default=2*span)

--rnafold-parameter=<file>
    Parameter file for RNAfold (RNAfold's -P option)

--rnafold-temperature=<file>
    Temperature for RNAfold (RNAfold's -T option)

--skip-pp
    Skip computation of pair probs if the probabilities are already existing. Non-existing ones are still computed.

--no-bpp-precomputation
    Switch off precomputation of base pair probabilties. Overwrite potentially existing input files. (compare skip-pp). For use with special pairwise aligners (e.g. locarna_n) that recompute the base pair probabilities at each invokation.

--in-loop-probabilities
    Turn on precomputation of in loop probabilties. For use with special pairwise aligners (e.g. locarna_n) that use such probabilities.

  Multithreading

--threads=<num> or --cpus=<num>
    Use <num> threads in parallel (support multicore/processor).

  Getting Help

--help
    Brief help message

--man
    Full documentation

The sequences are given in input file <file> in mfasta format. All results are written to a target directory <dir>. If the file tree is given, contained tree (in NEWICK-tree format) is used as guide tree for the progressive alignment. The final results are collected in <tgtdir>/results. The final multiple alignment is <tgtdir>/results/result.aln.

Whenever parameters are not specified explicitly, we use the locarna defaults (please see "locarna -h" or the manpage of locarna).

AUTHOR
Sebastian Will